from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssCrypt")
    if ((k <= 20) or (k >= 50)):
        return 1
    elif (k == 26):
        setTag(e, "kssCrypt", 27)
    elif (k == 34):
        setTag(e, "kssCrypt", 35)
    elif (k == 42):
        setTag(e, "kssCrypt", 43)
    else:
        setTag(e, "kssCrypt", 21)
    return 1
